#include <bits/stdc++.h>
#define pb push_back

using namespace std;

int main()
{
    int n,poz,a,b;
    cin>>n>>poz;
    a=poz;
    b=poz;

    for(int i=0, c=0;i<n;i++){
        cin>>c;
        a=min(a,c);
        b=max(b,c);
    }

    if(a>=poz) cout<<b-poz<<endl;
    else if(b<=poz) cout<<poz-a<<endl;
    else cout<<b-a+min(poz-a,b-poz);
    return 0;
}